org.apache.xmlgraphics.io

## Class TempResourceURIGenerator

- java.lang.Object
- - org.apache.xmlgraphics.io.TempResourceURIGenerator

-     public final class TempResourceURIGenerator
      extends java.lang.Object

  Creates a URI for any temporary resource used within XGC.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TMP_SCHEME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempResourceURIGenerator(java.lang.String uriPrefix)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URI` | `generate()` Generate a unique URI for a temporary resource
    `static boolean` | `isTempURI(java.net.URI uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TMP_SCHEME

          public static final java.lang.String TMP_SCHEME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TempResourceURIGenerator

          public TempResourceURIGenerator(java.lang.String uriPrefix)

      Parameters:
        `uriPrefix` - a prefix used to name the unique URI

  - ### Method Detail

    - #### generate

          public java.net.URI generate()

      Generate a unique URI for a temporary resource
      Returns:
        the URI

    - #### isTempURI

          public static boolean isTempURI(java.net.URI uri)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.